Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Release 0.9.10

  • Loading branch information...
commit de9e8dffe163c17286ab6b201cc3e7196cb0c431 1 parent 3a3044e
@rauchg rauchg authored
Showing with 13 additions and 3 deletions.
  1. +10 −0 History.md
  2. +1 −1  lib/socket.io.js
  3. +2 −2 package.json
View
10 History.md
@@ -1,4 +1,14 @@
+0.9.10 / 2012-08-10
+===================
+
+ * Don't lowercase log messages
+ * Always set the HTTP response in case an error should be returned to the client
+ * Create or destroy the flash policy server on configuration change
+ * Honour configuration to disable flash policy server
+ * Add express 3.0 instructions on Readme.md
+ * Bump client
+
0.9.9 / 2012-08-01
==================
View
2  lib/socket.io.js
@@ -15,7 +15,7 @@ var client = require('socket.io-client');
* Version.
*/
-exports.version = '0.9.9';
+exports.version = '0.9.10';
/**
* Supported protocol version.
View
4 package.json
@@ -1,6 +1,6 @@
{
"name": "socket.io"
- , "version": "0.9.9"
+ , "version": "0.9.10"
, "description": "Real-time apps made cross-browser & easy with a WebSocket-like API"
, "homepage": "http://socket.io"
, "keywords": ["websocket", "socket", "realtime", "socket.io", "comet", "ajax"]
@@ -16,7 +16,7 @@
, "url": "https://github.com/LearnBoost/socket.io.git"
}
, "dependencies": {
- "socket.io-client": "0.9.9"
+ "socket.io-client": "0.9.10"
, "policyfile": "0.0.4"
, "redis": "0.7.2"
}

4 comments on commit de9e8df

@hon-chau-ysi

npm socket.io doesn't work now with the latest push.. Thanks.

Here's the log:

GET https://registry.npmjs.org/socket.io
npm http 304 https://registry.npmjs.org/socket.io
npm http GET https://registry.npmjs.org/socket.io-client/0.9.10
npm http GET https://registry.npmjs.org/policyfile/0.0.4
npm http GET https://registry.npmjs.org/redis/0.7.2
npm http 304 https://registry.npmjs.org/policyfile/0.0.4
npm http 304 https://registry.npmjs.org/redis/0.7.2
npm http 404 https://registry.npmjs.org/socket.io-client/0.9.10
npm ERR! Error: version not found: 0.9.10 : socket.io-client/0.9.10
npm ERR! at RegClient. (/usr/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/request.js:246:14)
npm ERR! at Request.init.self.callback (/usr/local/lib/node_modules/npm/node_modules/request/main.js:120:22)
npm ERR! at Request.EventEmitter.emit (events.js:91:17)
npm ERR! at Request. (/usr/local/lib/node_modules/npm/node_modules/request/main.js:555:16)
npm ERR! at Request.EventEmitter.emit (events.js:88:17)
npm ERR! at IncomingMessage.Request.start.self.req.self.httpModule.request.buffer (/usr/local/lib/node_modules/npm/node_modules/request/main.js:517:14)
npm ERR! at IncomingMessage.EventEmitter.emit (events.js:115:20)
npm ERR! at IncomingMessage._emitEnd (http.js:366:10)
npm ERR! at HTTPParser.parserOnMessageComplete as onMessageComplete
npm ERR! at CleartextStream.socketOnData (http.js:1356:20)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

@rauchg
Owner

Forgot to publish socket.io-client. Done!

@rauchg
Owner

Thanks for letting me know @hon-chau-ysi

@hon-chau-ysi

Thank you so much for the quick update! I was in middle of building a package :)

Please sign in to comment.
Something went wrong with that request. Please try again.